/dimensions
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/career-pathways/dimensions \
--header 'accept: application/json' \
--header 'authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"soc",
"onet",
"lotocc",
"lotspecocc"
]
}
GET /dimensions/{dimension}
GET /dimensions/{dimension}Get dimension information.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Career Pathways. Example: socMust be one of: soc, onet, lotocc, lotspecocc |
Code Examples
curl --request GET \
--url https://api.lightcast.io/career-pathways/dimensions/soc \
--header 'accept: application/json' \
--header 'authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"id": "soc",
"title": "6-Digit SOC",
"description": "USA's Standard Occupation Classification represented at the 6-Digit level.",
"taxonomyVersion": "soc_2021",
"supportedTaxonomyVersions": [
"soc_2021"
]
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/{dimension}/feederjobs
POST /dimensions/{dimension}/feederjobsGet jobs that commonly lead to the source occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Career Pathways. Example: lotspecoccMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
{
"id": "23141014",
"categories": [
"Advancement",
"LateralAdvancement",
"Similar",
"LateralTransition"
],
"region": {
"nation": "us"
},
"limit": 3
}Code Examples
curl --request POST \
--url https://api.lightcast.io/career-pathways/dimensions/soc/feederjobs \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access Token>' \
--header 'content-type: application/json'Response Examples
{
"data": {
"id": "23141014",
"name": "Chief Technology Officer",
"dimension": "lotspecocc",
"jobLevel": 5,
"meanSalary": 207800,
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"pathways": [
{
"category": "Advancement",
"id": "23141110",
"name": "IT Director",
"score": 0.93971,
"meanSalary": 131433,
"meanSalaryDiff": -76367,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23141114",
"name": "Technical Manager / Director",
"score": 0.93928,
"meanSalary": 126490,
"meanSalaryDiff": -81310,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23141112",
"name": "IT Operations / Networking Manager",
"score": 0.92153,
"meanSalary": 113859,
"meanSalaryDiff": -93941,
"jobLevel": 5,
"jobLevelDiff": 0
}
]
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/{dimension}/nextstepjobs
POST /dimensions/{dimension}/nextstepjobsGet jobs that commonly succeed the source occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Career Pathways. Example: lotspecoccMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
{
"id": "23171716",
"categories": [
"Advancement",
"LateralAdvancement",
"Similar",
"LateralTransition"
],
"region": {
"nation": "us"
},
"limit": 3
}Code Examples
curl --request POST \
--url https://api.lightcast.io/career-pathways/dimensions/soc/nextstepjobs \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access Token>' \
--header 'content-type: application/json' \
--data '
{
"id": "23171716",
"categories": [
"Advancement",
"LateralAdvancement",
"Similar",
"LateralTransition"
],
"region": {
"nation": "us"
},
"limit": 3
}
'Response Examples
{
"data": {
"id": "23171716",
"name": "Web Developer",
"dimension": "lotspecocc",
"jobLevel": 5,
"meanSalary": 96806,
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"pathways": [
{
"category": "Advancement",
"id": "23171712",
"name": "Front End Developer",
"score": 0.94267,
"meanSalary": 131120,
"meanSalaryDiff": 34314,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23171713",
"name": "JavaScript Developer / Engineer",
"score": 0.93468,
"meanSalary": 131280,
"meanSalaryDiff": 34475,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23171511",
"name": "AngularJS Developer",
"score": 0.92697,
"meanSalary": 116357,
"meanSalaryDiff": 19552,
"jobLevel": 5,
"jobLevelDiff": 0
}
]
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/{dimension}/skillgap
POST /dimensions/{dimension}/skillgapGet the skills needed to make the transition from source to destination along with a score.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | Example: socMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
Request Body
{
"sourceId": "11-1021",
"destinationId": "11-1011",
"region": {
"nation": "us"
}
}Code Examples
curl --request POST \
--url https://api.lightcast.io/career-pathways/dimensions/soc/skillgap \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access Token>' \
--header 'content-type: application/json' \
--data '
{
"sourceId": "11-1021",
"destinationId": "11-1011",
"region": {
"nation": "us"
}
}
'Response Examples
{
"data": {
"source": {
"id": "11-1021",
"name": "General and Operations Managers"
},
"destination": {
"id": "11-1011",
"name": "Chief Executives"
},
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"skillGap": [
{
"id": "KS122CL64848WM1MVNSQ",
"name": "Fundraising",
"importanceScore": 4.7
},
{
"id": "KS124QR6F19BX4WPMW1H",
"name": "Marketing",
"importanceScore": 2.13
},
{
"id": "KS123MC78KV644P5DDZ0",
"name": "Finance",
"importanceScore": 1.42
},
{
"id": "KS1267F6MSPN366LX7ST",
"name": "Project Management",
"importanceScore": 1.24
},
{
"id": "KS1203W702ND09XHKJR5",
"name": "Accounting",
"importanceScore": 0.67
}
]
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/{dimension}/bulk
POST /dimensions/{dimension}/bulkGet feeder and next step responses for a list of occupations.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Career Pathways. Example: lotspecoccMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
[
{
"id": "23161010",
"responseIds": [
"23161016",
"23161015",
"23141210",
"23161115"
]
},
{
"id": "23161114",
"responseIds": [
"23161110",
"23161013",
"23161115",
"23151217"
]
}
]Code Examples
curl --request POST \
--url https://api.lightcast.io/career-pathways/dimensions/soc/bulk \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access Token>' \
--header 'content-type: application/json' \
--data '
[
{
"id": "23161010",
"responseIds": [
"23161016",
"23161015",
"23141210",
"23161115"
],
"categories": []
},
{
"id": "23161114",
"responseIds": [
"23161110",
"23161013",
"23161115",
"23151217"
],
"categories": []
}
]
'Response Examples
{
"data": [
{
"id": "23161010",
"name": "Application Support Engineer / Analyst",
"dimension": "lotspecocc",
"jobLevel": 3,
"meanSalary": 95839,
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"feederJobs": [
{
"category": "Advancement",
"id": "23161016",
"name": "Technical Support Manager / Supervisor",
"score": 0.88567,
"meanSalary": 70637,
"meanSalaryDiff": -25203,
"jobLevel": 3,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23161015",
"name": "Technical Support Engineer / Analyst",
"score": 0.88123,
"meanSalary": 66835,
"meanSalaryDiff": -29004,
"jobLevel": 3,
"jobLevelDiff": 0
}
],
"nextStepJobs": [
{
"category": "Advancement",
"id": "23161115",
"name": "Unix Administrator / Engineer",
"score": 0.70397,
"meanSalary": 109249,
"meanSalaryDiff": 13410,
"jobLevel": 5,
"jobLevelDiff": 2
},
{
"category": "LateralAdvancement",
"id": "23141210",
"name": "Application Manager",
"score": 0.79625,
"meanSalary": 133210,
"meanSalaryDiff": 37371,
"jobLevel": 5,
"jobLevelDiff": 2
}
]
},
{
"id": "23161114",
"name": "Systems Administrator",
"dimension": "lotspecocc",
"jobLevel": 5,
"meanSalary": 94602,
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"feederJobs": [
{
"category": "Advancement",
"id": "23161110",
"name": "IT Administrator",
"score": 0.96476,
"meanSalary": 81299,
"meanSalaryDiff": -13304,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "Advancement",
"id": "23161013",
"name": "IT Specialist / Engineer",
"score": 0.93019,
"meanSalary": 83563,
"meanSalaryDiff": -11040,
"jobLevel": 3,
"jobLevelDiff": -2
}
],
"nextStepJobs": [
{
"category": "Advancement",
"id": "23161115",
"name": "Unix Administrator / Engineer",
"score": 0.87031,
"meanSalary": 109249,
"meanSalaryDiff": 14647,
"jobLevel": 5,
"jobLevelDiff": 0
},
{
"category": "LateralAdvancement",
"id": "23151217",
"name": "VMware Engineer / Administrator",
"score": 0.911,
"meanSalary": 115396,
"meanSalaryDiff": 20794,
"jobLevel": 5,
"jobLevelDiff": 0
}
]
}
]
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}
